 input[type=radio].with-fontwhite{
	 display: block;   float: left; font-size: 1.2em;
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
	 
} 
 
input[type=radio].with-fontwhite ~ label:before{
    font-family: FontAwesome;
    display: block;   float: left;
    content: "\f1db"; 
    
    letter-spacing: 10px;
    font-size: 1.2em;
    color: #FFF;
    width: 1.4em;
}
input[type=radio].with-fontwhite:checked ~ label:before{
   content: "\f192";  
	 
    font-size: 1.2em;
    letter-spacing: 5px;
}    
 input[type=checkbox].with-fontwhite {
	 display: block;   float: left; font-size: 1.2em;
    border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
	 
}
input[type=checkbox].with-fontwhite ~ label:before {
    font-family: FontAwesome;
    display: block;   float: left;
    content: "\f1db"; 
    
    letter-spacing: 10px;
    font-size: 1.2em;
    color: #535353;
    width: 1.4em;  
}

 
input[type=checkbox].with-fontwhite:checked ~ label:before{
   content: "\f00c"; 
	 
    font-size: 1.2em;
    letter-spacing: 5px;
}
input[type=checkbox].with-fontwhite ~ label:before {        
    content: "\f096"; display: block;   float: left;font-size: 1.2em;
}
input[type=checkbox].with-fontwhite:checked ~ label:before {
    content: "\f046"; display: block;   float: left; font-size: 1.2em;    
   
}